Bug 1674949 - geary: FTBFS in Fedora rawhide/f30
Summary: geary: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: geary
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:24 UTC by Fedora Release Engineering
Modified: 2019-02-19 09:19 UTC (History)
4 users (show)

Fixed In Version: geary-0.13.0-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 09:19:09 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:24 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:24 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 18:24 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:24:20 UTC
geary failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32386372


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix geary at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
geary will be orphaned. Before branching of Fedora 31,
geary will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:24:22 UTC
Created attachment 1530074 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:24:24 UTC
Created attachment 1530075 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:24:25 UTC
Created attachment 1530076 [details]
state.log

Comment 4 Thomas Moschny 2019-02-13 14:56:27 UTC
Waiting for Geary 0.13, see https://gitlab.gnome.org/GNOME/geary/issues/197.

Comment 5 Thomas Moschny 2019-02-17 17:47:27 UTC
0.13.0 has been released, but it adds a new dependency on libunwind, and thus does not build on s390x.
See https://gitlab.gnome.org/GNOME/geary/merge_requests/109.

As seem to be other problems with 0.13, I tend to wait for 0.13.1.

Comment 6 Thomas Moschny 2019-02-17 17:51:04 UTC
Setting Björn and Kalev in CC, to keep them informed.

Comment 7 Kalev Lember 2019-02-17 20:00:45 UTC
Thanks Thomas. I think it should be fine ExcludeArch s390x too if the libunwind opt-out patch doesn't make it upstream for some reason.

Comment 8 Thomas Moschny 2019-02-19 09:19:09 UTC
For now, added the patch, and built successfully: https://koji.fedoraproject.org/koji/buildinfo?buildID=1212671


Note You need to log in before you can comment on or make changes to this bug.